/*
 * Copyright 2006 Phidgets Inc.  All rights reserved.
 */

package com.phidgets;

public class PhidgetException extends java.lang.Exception {
	private int errno;
	private String description;

	public PhidgetException(int errno, String description) {
		this.description = description;
		this.errno = errno;
	}

	public int getErrorNumber() {
		return errno;
	}

	public String getDescription() {
		return description;
	}

	public String toString() {
		return "PhidgetException " + errno + " (" + description + ")";
	}
}
